Get article SEO settings
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"seo_setting": {
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": [
"<string>"
],
"allow_search_engine_crawl": true
}
}{
"error": "Not found."
}Articles
Get article SEO settings
This API returns the SEO settings of an article. An article without saved settings returns the defaults. For CLI sessions, this needs the Modify articles permission.
GET
/
articles
/
{article_id}
/
seo_setting
Get article SEO settings
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"seo_setting": {
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": [
"<string>"
],
"allow_search_engine_crawl": true
}
}{
"error": "Not found."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.